Official Radioddity firmware 3.02.04 problem

pipa
Posts: 23
Joined: Sat Mar 21, 2020 2:25 pm

Re: Official Radioddity firmware 3.02.04 problem

Post by pipa » Mon Apr 27, 2020 12:02 pm

Bad news. He still writes "Device not found"

pipa
Posts: 23
Joined: Sat Mar 21, 2020 2:25 pm

Re: Official Radioddity firmware 3.02.04 problem

Post by pipa » Tue Apr 28, 2020 12:33 pm

Next question.
1, Is there a version of OpenGD77 that supports USB HID as original FW?
2, Is it possible to downgrade to the original FW?
It might be possible to read and edit the codeplug.

VK3KYY
Posts: 4537
Joined: Sat Nov 16, 2019 3:25 am
Location: Melbourne, Australia
Contact:

Re: Official Radioddity firmware 3.02.04 problem

Post by VK3KYY » Tue Apr 28, 2020 9:26 pm

Yes.

You can downgrade to the official firmware.

Only USB Comm is supported by the OpenGD77 firmware

pipa
Posts: 23
Joined: Sat Mar 21, 2020 2:25 pm

Re: Official Radioddity firmware 3.02.04 problem

Post by pipa » Wed Apr 29, 2020 4:14 am

I tried flash official FW 4.2.8. After switching on, the radio reads "LOW BT VERSION", after a while it resets itself and nothing can be done.

VK3KYY
Posts: 4537
Joined: Sat Nov 16, 2019 3:25 am
Location: Melbourne, Australia
Contact:

Re: Official Radioddity firmware 3.02.04 problem

Post by VK3KYY » Wed Apr 29, 2020 4:19 am

Try reloading the OpenGD77 and see if that still works.

pipa
Posts: 23
Joined: Sat Mar 21, 2020 2:25 pm

Re: Official Radioddity firmware 3.02.04 problem

Post by pipa » Wed Apr 29, 2020 4:27 am

Yes, after flash OpenGD77 works.

VK3KYY
Posts: 4537
Joined: Sat Nov 16, 2019 3:25 am
Location: Melbourne, Australia
Contact:

Re: Official Radioddity firmware 3.02.04 problem

Post by VK3KYY » Wed Apr 29, 2020 4:32 am

What version of official firmware was the radio running before you installed the OpenGD77.

I've read reports of the latest firmware not working with all radios. You could try an older version of firmware.
I keep backups of all previous versions here https://github.com/rogerclarkmelbourne/ ... r/firmware

pipa
Posts: 23
Joined: Sat Mar 21, 2020 2:25 pm

Re: Official Radioddity firmware 3.02.04 problem

Post by pipa » Wed Apr 29, 2020 5:09 am

The original version was 4.2.8
I tried 4.2.8, 4.2.6, 3.2.1 and 3.1.8, still the same "LOW BT VERSION". So I'll have to wait for a new version to come out.
OpenGD77 works, you just can't read and edit codeplug :-(

VK3KYY
Posts: 4537
Joined: Sat Nov 16, 2019 3:25 am
Location: Melbourne, Australia
Contact:

Re: Official Radioddity firmware 3.02.04 problem

Post by VK3KYY » Wed Apr 29, 2020 5:16 am

Can you find another PC to try installing the driver.

We need to know whats causing this problem with "low bt version". We think its something that Radioddity changed in their new firmware, perhaps to prevent people using the OpenGD77

VK3KYY
Posts: 4537
Joined: Sat Nov 16, 2019 3:25 am
Location: Melbourne, Australia
Contact:

Re: Official Radioddity firmware 3.02.04 problem

Post by VK3KYY » Wed Apr 29, 2020 5:17 am

BTW.

Try the "Patched official version"

https://github.com/rogerclarkmelbourne/ ... d_official

I think perhaps this does not check for the same thing which us causing the "Low bt version"

Post Reply